For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETList Receipts
              • GETGet Receipt
              • DELDelete Receipt
              • GETList Receipt Lines
              • GETList Lines of Receipt
              • GETGet Receipt Line Detail
              • DELDelete Receipt Line
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementReceipt

Get Receipt Line Detail

GET
https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/:receiptId/lines/:receiptLineId
GET
/api/v3/io/ip/receipts/:receiptId/lines/:receiptLineId
$curl https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines/receiptLineId \
> -H "X-Auth-Token: <apiKey>"
200example-1
1{
2 "code": 200,
3 "data": {
4 "id": 92,
5 "createdAt": 1630570416,
6 "updatedAt": 1630570416,
7 "storeHash": "1i6zpxpe3g",
8 "customerId": "5707",
9 "externalId": "",
10 "externalCustomerId": "",
11 "receiptId": 83,
12 "invoiceId": 19,
13 "amount": {
14 "code": "CNY",
15 "value": "0.7000"
16 },
17 "paymentStatus": 3,
18 "paymentType": "Offline",
19 "invoiceNumber": "00000019",
20 "paymentId": 90,
21 "referenceNumber": "test",
22 "transactionType": "Paid"
23 },
24 "meta": {
25 "message": "SUCCESS"
26 }
27}
Get a receipt line detail
Was this page helpful?
Previous

List Lines of Receipt

Next

Delete Receipt Line

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

receiptIdstringRequired
The unique ID of the receipt.
receiptLineIdstringRequired
The unique ID of the receipt line.

Response

OK
codedouble
dataobject
metaobject